cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daan Hoogland <daan.hoogl...@gmail.com>
Subject Re: No module named marvin
Date Tue, 26 Apr 2016 11:41:51 GMT
About travis. I only saw timeouts in the prepare scripts, so far.

On Tue, Apr 26, 2016 at 1:16 PM, Will Stevens <williamstevens@gmail.com>
wrote:

> Thank you for the hints re:Travis script. Will review that as well.  Travis
> has also been failing a lot recently though. That is another thing I need
> to review.
> On Apr 26, 2016 4:24 AM, "Rohit Yadav" <rohit.yadav@shapeblue.com> wrote:
>
> > Will, checkout tools/travis/install.sh for hints (much of travis scripts
> > can be used as hints on how to setup a marvin env).
> >
> > You'll need to install mysql-connector-python manually, unfortunately
> > oracle/mysql hosts them at their cdn and pypi/pip scks as not fetching
> > external deps on their own. So you'll need to do something like, pip
> > install --upgrade --egg <url to mysql-connector-python.tar.gz>
> >
> > Regards.
> >
> > Regards,
> >
> > Rohit Yadav
> >
> > rohit.yadav@shapeblue.com
> > www.shapeblue.com
> > 53 Chandos Place, Covent Garden, London  WC2N 4HSUK
> > @shapeblue
> >
> > -----Original Message-----
> > From: Will Stevens [mailto:williamstevens@gmail.com]
> > Sent: Monday, April 25, 2016 11:37 PM
> > To: dev@cloudstack.apache.org
> > Subject: No module named marvin
> >
> > Could this:
> >
> > Deploy data center..
> > Traceback (most recent call last):
> >   File
> "/data/git/cs3/cloudstack/tools/marvin/marvin/deployDataCenter.py",
> > line 28, in <module>
> >     from marvin import configGenerator
> > ImportError: No module named marvin
> >
> > Be caused by this:
> >
> > Installing Marvin
> > DEPRECATION: --allow-external has been deprecated and will be removed in
> > the future. Due to changes in the repository protocol, it no longer has
> any
> > effect.
> > Processing ./tools/marvin/dist/Marvin-4.9.0-SNAPSHOT.tar.gz
> > Collecting mysql-connector-python>=1.1.6 (from Marvin===4.9.0-SNAPSHOT)
> >   Could not find a version that satisfies the requirement
> > mysql-connector-python>=1.1.6 (from Marvin===4.9.0-SNAPSHOT) (from
> > versions: )
> > No matching distribution found for mysql-connector-python>=1.1.6 (from
> > Marvin===4.9.0-SNAPSHOT)
> >
> > This seems to be happening in all my CI environments this morning.
> > Thoughts?
> >
> > Thanks,
> >
> > Will
> >
>



-- 
Daan

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message